Classes | Namespaces | Enumerations | Functions
RVNGOLEStream.cpp File Reference
`#include <string.h>`
`#include <ctype.h>`
`#include <cassert>`
`#include <sstream>`
`#include <iostream>`
`#include <list>`
`#include <locale>`
`#include <set>`
`#include <string>`
`#include <vector>`
`#include <librevenge-stream/librevenge-stream.h>`
`#include "librevenge_internal.h"`
`#include "RVNGOLEStream.h"`

## Classes
class | librevenge::Header
class | librevenge::AllocTable
class | librevenge::DirInfo
class | librevenge::DirEntry
class | librevenge::DirTree
struct | librevenge::DirTree::CompareEntryName
| a comparaison funcion of DirTree used to sort the entry by name More...
class | librevenge::IStorage
class | librevenge::OStorage
class | librevenge::IStream

## Namespaces
| librevenge

## Enumerations
enum | { librevenge::Avail = 0xffffffff, librevenge::Eof = 0xfffffffe, librevenge::Bat = 0xfffffffd, librevenge::MetaBat = 0xfffffffc, librevenge::NotFound =0xfffffff0 }

## Functions
static unsigned short | librevenge::readU16 (const unsigned char *ptr)
static unsigned | librevenge::readU32 (const unsigned char *ptr)
static void | librevenge::writeU16 (unsigned char *ptr, unsigned long data)
static void | librevenge::writeU32 (unsigned char *ptr, unsigned long data)
static unsigned long | librevenge::getLength (RVNGInputStream *const input)